Summary: SME Server specific Samba configuration files and templates
%define name smeserver-samba
Name: %{name}
%define version 0.1.0
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tgz
Patch1: smeserver-samba-0.1.0-provision_password.patch
Patch2: smeserver-samba-0.1.0-062616-update.patch
Patch3: smeserver-samba-0.1.0-072416-update.patch
Obsoletes: e-smith-netlogon
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

##Obsolete e-smith-samba 
Provides: e-smith-samba
Obsoletes: e-smith-samba
##Obsolete e-smith-ldap
Obsoletes: e-smith-ldap
Provides: e-smith-ldap

BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-lib >= 2.2.0-2
Requires: e-smith-base >= 5.6.0-30 
Requires: e-smith-formmagick >= 1.4.0-9
Requires: e-smith-LPRng >= 2.5.0-1
Requires: sernet-samba >= 4.1.12
Requires: sernet-samba-ad >= 4.1.12
Requires: sernet-samba-client >= 4.1.12
Requires: sernet-samba-common >= 4.1.12
Requires: sernet-samba-libs >= 4.1.12
Requires: sernet-samba-libsmbclient0 >= 4.1.12
Requires: sernet-samba-winbind >= 4.1.12
Obsoletes: samba3x
Obsoletes: samba3x-client
Obsoletes: samba3x-common
Obsoletes: samba3x-winbind
Obsoletes: libsmbclient <= 3.0.33
# Obsolete SerNet packages
Obsoletes: libsmbclient0
Obsoletes: libwbclient0
Obsoletes: samba3
Obsoletes: samba3-cifsmount
Obsoletes: samba3-client
Obsoletes: samba3-doc
Obsoletes: samba3-utils
Obsoletes: samba3-winbind
Requires: /usr/bin/tdbbackup
AutoReqProv: no

%changelog
* Sun Jul 24 2016 Greg Zartman <gzartman@koozali.org> 0.1-0-5
- Extend Active Directory schema to include quota and 
  smeCustom attributes via the koozaliUser objectClass
- Remove adjust-samba event and use services2adjust
- Add Group-create-AD action
- Design changes to provision-domain-controller and 
  bootstrap-provision-dc events to provision samba entirely 
  cold using ldif
- Add pseudonym support to esmith::AD
- Further enhancement to esmith::AD to provide user & group 
  management functionality similar to that provided by AccountsDB
- Re-write createlinks to flow a more logical sequence
- Fix dnsforwarder in smb.conf
- Fix several esmith::AD::User and esmith::AD::Group methods broken
  in 0.1-0-3 when we added runtime binding 

* Sun Jun 26 2016 Greg Zartman <gzartman@koozali.org> 0.1-0-4
- Add dnscache and tinydns config per bug [SME: 9711]
- Add iptables preroute rule for DNS per bug [SME: 9711]
- Fix issues with domain admins assignment during provisioning
- Nearly full re-write of user-create-AD action to utilize
  esmith::AD class
- Add Legacy Mode to user-create-AD action to allow this 
  action to work with AccountsDB
- Add user-create-AD to user-create event
- Add user-AD-disable action to disable AD user
- Continued development and enhancement to esmith::AD
  including POD documentation
- Continued development and enhancement to esmith::AD::User
  including POD documentation
- Add esmith::AD::OU to manage Organizational Units in the 
  Active Directory
- Fix realm definition in provision action

* Sat Jun 18 2016 Greg Zartman <gzartman@koozali.org> 0.1.0-3
- Reconfigure provision event to account for default Samba
  complex password policy
- Abstract core LDAP queries in esmith::AD using runtime binding

* Sat Jun 18 2016 Greg Zartman <gzartman@koozali.org> 0.1.0-2
- Set requires to e-smith-base-5.6.0-30+ [SME:8668]
- Set requries for e-smith-LPRng-2.5.0+ [SME:8632]

* Thu Feb 12 2015 Greg Zartman <gzartman@koozali.org> 0.1.0-1
- Roll new smeserver alpha package for Samba4 [SME:8075]

%description
Configuration files and templates for  Samba 4 services.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --dir '/var/service/smb' 'attr(1755,root,root)' \
    --file '/var/service/smb/down' 'attr(0644,root,root)' \
    --file '/var/service/smb/run' 'attr(0755,root,root)' \
    --dir '/var/service/smb/supervise' 'attr(0700,root,root)' \
    --dir '/var/service/smb/log' 'attr(1755,root,root)' \
    --file '/var/service/smb/log/run' 'attr(0755,root,root)' \
    $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%post

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
